#include <iostream>
#include <algorithm>
using namespace std;

int main() {
  int a,b; cin>>a>>b; int c[b],d[a]; int p=0,p1=0;
  for(int i=0; i<a; i++){
    for(int j=0; j<b; j++){
      cin>>c[j];
      if(i==0)
        p+=c[j];
      else
        p=abs(p)-c[j];
    }
  }
  cout<<abs(p);
}